Home Forums Platform Specific OSX Ctrlr & Mavericks Reply To: Ctrlr & Mavericks

#15529
atom
atom
Moderator

Yeah the hardware is too old to handle the newer OSX versions. I tried the mountain lion installer but i couldn’t get it to install, i think apple doesn’t want me to upgrade, well i have to trust them they know better [wink wink]